Bug 492340 - Unnecessary field requirement in UGC needs to be removed
Unnecessary field requirement in UGC needs to be removed
Status: CLOSED WONTFIX
Product: JBoss Customer Support Portal
Classification: Retired
Component: User Profile (Show other bugs)
1.4
All All
low Severity low
: ---
: ---
Assigned To: JBoss CSP Bug Watch List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 11:01 EDT by Tom Mirc
Modified: 2011-01-31 12:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-31 12:39:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Mirc 2009-03-26 11:01:17 EDT
Description of problem:

Greeting (Mr/Mrs/Dr/Sr) is a required field for registering a new user through UGC.  A user may not always have the required data to meet this data requirement.  The required field validation on field "Greeting" needs to be removed. 

>> From: Matt Hicks <mhicks@redhat.com>
>> Date: March 19, 2009 12:04:49 PM EDT
>> To: Mike Amburn <mamburn@redhat.com>
>> Cc: Chris Alfonso <calfonso@redhat.com>
>> Subject: Re: UGC greeting requirement
>>
>> Not sure.  It's probably a DB constraint or legacy RHN requirement.
>> However, if you would like it changed, just run it through your BA
>> for the maintenance team.
>>
>> Thanks
>>
>> -Matt
>>
>> ----- "Mike Amburn" <mamburn@redhat.com> wrote:
>>
>>> Can you explain why greeting (Mr/Mrs/Dr/Sr) is a required field for
>>> registering a new user through UGC?
>>>
>>> https://www.redhat.com/wapps/ugc/register.html

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom Mirc 2009-04-16 17:28:17 EDT
From: "Robbie Riggs II" <rriggs@redhat.com>

Below is Bill [Pinkstaff's] response:

'I do not believe any systems depend on it, to the best of my knowledge 
it is either not required or optional throughout our applications.'

It should be okay to move forward.


Suzy Tahmaseb wrote:
> I don't see any issue with it.

> Suzy Tahmaseb
> Customer Data Manager
> Global Operations Team


> Jessica Green wrote:
>> Tom,

>> There is no business need for salutation from a Customer Service 
>> standpoint, and as far as I know, none of our systems rely on that 
>> field; (but to know for sure, has this always been a requirement or 
>> was it optional at any point?).  Suzy, please jump in if you think we 
>> will ever need metrics on this for any reason.  Once this is 
>> approved, it will be worth running by Bill Pinkstaff to verify that 
>> Oracle / iSupport do not have any dependencies on the field.

>> Thanks,
>> Jessica
Comment 2 David Spalding 2011-01-31 12:39:14 EST
Bugs are no longer tracked under this classification. CSP is now monitored in 
Other | Customer Portal | Integrated app: JBoss CSP. 

Please refile any current defect records or RFEs under the current 
classification.
Comment 3 David Spalding 2011-01-31 12:47:21 EST
Bugs are no longer tracked under this classification. CSP is now monitored in 
Other | Customer Portal | Integrated app: JBoss CSP. 

Please refile any current defect records or RFEs under the current 
classification.

Note You need to log in before you can comment on or make changes to this bug.